package net.cobem.grizzly.communication.composers.tests;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;

import java.util.List;

public class DisplayTestResultsComposer {
    public static EventResponse compose(String Type, List<Integer> WrongAnswers) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.DisplayTestResultsEvent);
        Message.addString(Type);
        Message.addInt(WrongAnswers.size());

        for (Integer Answer : WrongAnswers) {
            Message.addInt(Answer);
        }

        return Message;
    }
}
